# -------------------------------------------------------------------------------------
# MKDoc::Mailer
# -------------------------------------------------------------------------------------
# Author : Steve Purkis <spurkis@mkdoc.com>, Jean-Michel Hiver <jhiver@mkdoc.com>
# Copyright : (c) 2003, MKDoc Holdings Ltd.
#
# This is a simple mailer for the MKDoc system. ATM, B<sendmail> is the transport
# mechanism used, but the idea is that this may be changed transparently in the
# future.
# -------------------------------------------------------------------------------------
package MKDoc::Mailer;
use Carp;
use strict;
use 5.008_000;
use utf8;


our $SENDMAIL = '/usr/sbin/sendmail -t';


sub new
{
    my $class = shift;
    $class = ref $class || $class;
    my $text = shift;
    return bless \$text, $class;
}


sub send
{
    my $self = shift || return;
    $ENV{SERVER_ADMIN} || die '$ENV{SERVER_ADMIN} not set';
    open (SENDMAIL, "| $SENDMAIL -f $ENV{SERVER_ADMIN}") || confess "error opening sendmail [$SENDMAIL]: $!";
    print SENDMAIL $$self || confess "error writing to sendmail [$SENDMAIL]: $!";
    close SENDMAIL;
}


1;


__END__
