# -------------------------------------------------------------------------------------
# flo::DocumentPlugin
# -------------------------------------------------------------------------------------
# Author    : Jean-Michel Hiver <jhiver@mkdoc.com>
# Copyright : (c) 2003, MKDoc Holdings Ltd
# A base module for MKDoc plugins which operate on Document objects.
# -------------------------------------------------------------------------------------
package flo::DocumentPlugin;
use strict;
use warnings;
use Encode;
use Carp;
use flo::Standard;
use flo::HTTP::Header;
use 5.008_000;

use base qw /flo::Plugin/;
our $AUTOLOAD = undef;


sub activate
{
    my $self = shift;
    flo::Standard::raw_path_info          || return;
    flo::Standard::raw_path_info =~ /\/$/ || return;
    $self->document()                     || return;
    return 1;
}

sub document
{
    my $self = shift;
    return flo::Standard::current_document();
}

sub path
{
    my $self = shift;
    return $self->document()->path();
}

sub title
{
    my $self = shift;
    return $self->document()->title();
}

sub parent
{
    my $self = shift;
    return $self->document()->parent();
}

sub lang
{
    my $self = shift;
    return $self->document()->language();
}


sub AUTOLOAD
{
    my $self  = shift;
    my ($met) = $AUTOLOAD =~ /.*::(.*)/;
    return $self->document()->$met (@_) if ($self->document()->can ($met));
    die "Cannot invoke method $met on $self";
}


sub DESTROY
{
}


1;


__END__
